package com.trendify.inventory.repository;

import com.trendify.inventory.entity.Inventory;
import org.springframework.data.mongodb.repository.Query;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Mono;

@Repository
public interface InventoryRepository extends ReactiveMongoRepository<Inventory,String> {

    Mono<Inventory> findByProductId(String productId);
}
