package com.trendify.inventory.utils;

import com.trendify.inventory.dto.InventoryDto;
import com.trendify.inventory.entity.Inventory;
import org.springframework.beans.BeanUtils;

public class AppUtils {

    public static InventoryDto entityToDto(Inventory inventory) {
        InventoryDto inventoryDto = new InventoryDto();
        BeanUtils.copyProperties(inventory,inventoryDto);
        return inventoryDto;
    }

    public static Inventory dtoToEntity(InventoryDto inventoryDto) {
        Inventory inventory = new Inventory ();
        BeanUtils.copyProperties(inventoryDto,inventory);
        return inventory;
    }
}
